<div
  *transloco="let t; scope: 'feature_funfair'"
  [ngClass]="{ highlighted: highlighted }"
  class="card"
  data-testid="funfair-poi-card"
>
  <div class="card-content">
    <div class="title-container">
      <span class="title" data-testid="poi-title">
        {{
          feature.properties['name']
            ? feature.properties['name']
            : fallBackTitle
        }}
      </span>
    </div>
    <lib-action-button-bar
      [actions]="[
        {
          icon: 'favorite',
          label: t('feature_funfair.poi_card.save'),
          isVisible: true,
          selected: isBookmarked,
          onClick: toggleBookmark.bind(this),
        },
        {
          icon: 'share',
          label: t('feature_funfair.poi_card.share'),
          isVisible: true,
          onClick: this.shareFeature.bind(this),
        },
        {
          icon: 'map',
          label: t('feature_funfair.poi_card.show'),
          isVisible: true,
          onClick: this.showDirections.bind(this),
        },
        {
          icon: 'directions',
          label: t('feature_funfair.poi_card.navigate'),
          isVisible: true,
          onClick: this.navigateToLocation.bind(this),
        },
      ]"
      [wrap]="false"
      data-testid="action-button-bar"
    >
    </lib-action-button-bar>
  </div>

  @if (distance || feature.properties['emergencyLocationId']) {
    <div class="position-number-container">
      <div class="distance-container" *ngIf="distance">
        <lib-general-icon [name]="getDistanceIcon(distance)"></lib-general-icon>
        <span class="distance">{{ distance | distanceFormat }}</span>
      </div>
      <div
        class="position-container"
        *ngIf="feature.properties['emergencyLocationId']"
      >
        <span class="position-label">{{
          t('feature_funfair.poi_card.position_number.label')
        }}</span>
        <span class="position-number">{{
          feature.properties['emergencyLocationId']
        }}</span>
      </div>
    </div>
  } @else {
    <div></div>
  }
</div>
